/*
	   Copyright (C) 2012 Gilles Landais (CDS)

    Author: Gilles Landais, Strasbourg astronomical Data Center (CDS)
    Email: gilles.landais@unistra.fr

    This file is part of H3C.

    H3C is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    H3C is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with H3C; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/** @file h3cpp_healpix.h
 *  @brief Interface the Healpix C++ library
 *  @author G.Landais (CDS)
 *  @date 26/07/2011
 */

#ifndef H3C_WRAPPER_H
#define H3C_WRAPPER_H

#ifdef __cplusplus
        #include <iostream>
        using namespace std;
#endif

#ifdef __cplusplus
extern "C" {
#endif
	int h3cpp_get_order(int nside);
	h3c_ipix_t *h3cpp_disk_ipix(h3c_coord_t ra, h3c_coord_t dec, double radius, int nside, int *nresult, int inclusive) ;
	int h3cpp_number_ipix(int nside);
	h3c_coord_t h3cpp_radius(int nside);
        h3c_ipix_t *h3cpp_get_neighbors(h3c_ipix_t ipix, int nside);

        void h3cpp_pix2ang_nest(long nside, h3c_ipix_t ipnest, h3c_coord_t *theta, h3c_coord_t *phi);
        void h3cpp_ang2pix_nest(long nside, h3c_coord_t theta, h3c_coord_t phi, h3c_ipix_t *ipnest);
        void h3cpp_ring2nest(long nside, h3c_ipix_t ipring, h3c_ipix_t *ipnest);
#ifdef __cplusplus
}
#endif
 

#endif
